#include <amxmodx>
#include <engine>


new cvar_awpskin

new PLUGIN_AUTHOR[] = "Abomination"
new PLUGIN_VERSION[] = "1.0"
new PLUGIN_NAME[] = "Customized Awp Skins"

new VIEW_MODEL1[] = "models/v_awp_1.mdl"
new VIEW_MODEL2[] = "models/v_awp_2.mdl"


public plugin_init() {
	register_plugin(PLUGIN_NAME, PLUGIN_VERSION, PLUGIN_AUTHOR)
	register_event("CurWeapon", "Event_CurrentWeapon", "be", "1=1")
	cvar_awpskin = register_cvar("amx_awpskin", "0")
}

public plugin_precache() {
	
	precache_model("models/v_awp.mdl")
	precache_model(VIEW_MODEL1)
	precache_model(VIEW_MODEL2)
}

public Event_CurrentWeapon(id) {
	
	new weaponID = read_data(2)

	if(weaponID != CSW_AWP)
	return PLUGIN_CONTINUE
	
	switch(get_pcvar_num(cvar_awpskin))
	{
		case 0: entity_set_string(id, EV_SZ_viewmodel, "models/v_awp.mdl")
		case 1: entity_set_string(id, EV_SZ_viewmodel, VIEW_MODEL1)
		case 2: entity_set_string(id, EV_SZ_viewmodel, VIEW_MODEL2)
	}
	return PLUGIN_CONTINUE
}
